You are viewing the PKP Support Forum | PKP Home Wiki

"A galley locale is required" error and locale not set

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

Re: "A galley locale is required" error and locale not set

Postby ivolt » Wed Aug 14, 2013 2:32 am

We're running OJS 2.4.2 but I seem to have the same issue with required galley locale, which I cannot seem to supply. This may have happened with the latest update, as I don't recall this problem from the past.

In addition, I have enabled 3 languages under SA, but under JM cannot save other than English for UI. I check the languages and save the page, and there's no error message, but when I open the page again, they're unchecked.
Posts: 7
Joined: Tue Mar 05, 2013 7:55 am

Re: "A galley locale is required" error and locale not set

Postby asmecher » Wed Aug 14, 2013 8:20 am

Hi ivolt,

It's most likely a problem with file permissions in your cache/ directory. Check to make sure those are OK (and delete the .php files there to ensure they're getting re-generated), check and fix your JM's language settings, and that should correct the issue.

Alec Smecher
Public Knowledge Project Team
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: No registered users and 1 guest